Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Philipp Stephani <[email-masked]>
Date: Tue, 06 Sep 2016 19:01:53 +0000

Eli Zaretskii <[email-masked]> schrieb am Di., 6. Sep. 2016 um 20:33 Uhr:

> > That will be a bit slower, but that might be OK.
>
> Slower than compile, link, and load?  I doubt that.
>

Not while dumping (nobody cares about the dumping speed), but while
loading. In the alternative proposal, the dumped data could be read
directly into the process memory, requiring only some relocations. My
suggestion would require an extra parsing step on every start.